Get service details
Returns a service that belongs to the organization
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
Get service details
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"autoscalingMode": "vertical",
"currentScaling": {
"effectiveMinReplicaMemoryGb": 123,
"effectiveMaxReplicaMemoryGb": 123,
"effectiveMinReplicas": 123,
"effectiveMaxReplicas": 123,
"effectiveIdleScaling": true,
"effectiveIdleTimeoutMinutes": 123,
"activeEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clickhouseVersion": "<string>",
"endpoints": [
{
"protocol": "mysql",
"host": "<string>",
"port": 123,
"username": "<string>"
}
],
"minTotalMemoryGb": 48,
"maxTotalMemoryGb": 360,
"minReplicaMemoryGb": 16,
"maxReplicaMemoryGb": 120,
"numReplicas": 3,
"minReplicas": 1,
"maxReplicas": 5,
"replicaMemoryGb": 32,
"idleScaling": true,
"idleTimeoutMinutes": 123,
"ipAccessList": [
{
"source": "<string>",
"description": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"encryptionKey": "<string>",
"encryptionAssumedRoleIdentifier": "<string>",
"iamRole": "<string>",
"privateEndpointIds": [
"<string>"
],
"availablePrivateEndpointIds": [
"<string>"
],
"dataWarehouseId": "<string>",
"isPrimary": true,
"isReadonly": true,
"byocId": "<string>",
"hasTransparentDataEncryption": true,
"transparentDataEncryptionKeyId": "<string>",
"encryptionRoleId": "<string>",
"tags": [
{
"key": "Environment",
"value": "staging"
}
],
"enableCoreDumps": true,
"scalingSchedule": {
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"weekdays": [
123
],
"startHourUtc": 11,
"endHourUtc": 12,
"isActiveNow": true,
"minReplicaMemoryGb": 123,
"maxReplicaMemoryGb": 123,
"minReplicas": 123,
"maxReplicas": 123,
"idleScaling": true,
"idleTimeoutMinutes": 123
}
],
"baseConfig": {
"minReplicaMemoryGb": 123,
"maxReplicaMemoryGb": 123,
"minReplicas": 123,
"maxReplicas": 123,
"idleScaling": true,
"idleTimeoutMinutes": 123
},
"activeEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Returns a service that belongs to the organization
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the requested service.
Last modified on July 21, 2026
Was this page helpful?
Previous
Update service basic detailsUpdates basic service details like service name or IP access list.
Next
⌘I
Get service details
